Bug 56658 - (IDE ALI APM)multiple kernel hangs with Toshiba Satellite 1620 CDS (APM and BIOS related)
(IDE ALI APM)multiple kernel hangs with Toshiba Satellite 1620 CDS (APM and B...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-23 11:16 EST by ben.de.rydt
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ben.de.rydt 2001-11-23 11:16:00 EST
Description of Problem:

Suspend / Resume hangs the kernel/machine.

Every possible APM-related event f.i. low battery notification hangs the 
kernel/machine. When the CPU gets too hot, the fan starts running and the 
machine hangs (with a running fan). I suppose the BIOS tries to notice 
the kernel about the hot cpu.

What's meant with ``hang'': blank (black) screen, and no reaction on any 
key-combination.

This machine used to work with RedHat 6.2, stock RedHat 2.2.17 kernel. 
Suspend/Resume did work too.

The fix is: do not include the ALI chipset tuning into all kernels. The 
problem goes away when this code is turned off. You'll loose the DMA 
access to the HDD, but this is a lot better than random hangs.
Comment 1 Bugzilla owner 2004-09-30 11:39:17 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.